System.ServiceModel 4.0.0.0

Implement the interface on an operation behavior (a type) to enable you to modify the code generated when a contract or endpoint is compiled into code. Typically, a custom inserts a custom operation behavior into the collection during the call to or .

Defines the methods called during contract generation that can be used to modify the generated code for an operation.

- Method
  4.0.0.0
  System.Void ``

  Typically, a custom inserts a custom operation behavior into the collection during the call to or .

  The method is called once for each contract.

  Implement to modify the code document object model prior to the contract generation process.

  The working context that contains the types necessary to modify the generated operation.